# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Name

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.extensions.Name

All Implemented Interfaces:
  Extension

    public class Name

extends ExtensionPoint

Name of a person in a structured form.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Name()` Default mutable constructor.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`AdditionalName` `getAdditionalName()` Returns the additional name.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`FamilyName` `getFamilyName()` Returns the family name.
`FullName` `getFullName()` Returns the full name.
`GivenName` `getGivenName()` Returns the given name.
`NamePrefix` `getNamePrefix()` Returns the name prefix.
`NameSuffix` `getNameSuffix()` Returns the name suffix.
`boolean` `hasAdditionalName()` Returns whether it has the additional name.
`boolean` `hasFamilyName()` Returns whether it has the family name.
`boolean` `hasFullName()` Returns whether it has the full name.
`boolean` `hasGivenName()` Returns whether it has the given name.
`boolean` `hasNamePrefix()` Returns whether it has the name prefix.
`boolean` `hasNameSuffix()` Returns whether it has the name suffix.
`void` `setAdditionalName(AdditionalName additionalName)` Sets the additional name.
`void` `setFamilyName(FamilyName familyName)` Sets the family name.
`void` `setFullName(FullName fullName)` Sets the full name.
`void` `setGivenName(GivenName givenName)` Sets the given name.
`void` `setNamePrefix(NamePrefix namePrefix)` Sets the name prefix.
`void` `setNameSuffix(NameSuffix nameSuffix)` Sets the name suffix.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Name

    public Name()

  Default mutable constructor.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getAdditionalName

    public AdditionalName getAdditionalName()

  Returns the additional name.

  Returns:
    additional name

### setAdditionalName

    public void setAdditionalName(AdditionalName additionalName)

  Sets the additional name.

  Parameters:
    `additionalName` - additional name or `null` to reset

### hasAdditionalName

    public boolean hasAdditionalName()

  Returns whether it has the additional name.

  Returns:
    whether it has the additional name

### getFamilyName

    public FamilyName getFamilyName()

  Returns the family name.

  Returns:
    family name

### setFamilyName

    public void setFamilyName(FamilyName familyName)

  Sets the family name.

  Parameters:
    `familyName` - family name or `null` to reset

### hasFamilyName

    public boolean hasFamilyName()

  Returns whether it has the family name.

  Returns:
    whether it has the family name

### getFullName

    public FullName getFullName()

  Returns the full name.

  Returns:
    full name

### setFullName

    public void setFullName(FullName fullName)

  Sets the full name.

  Parameters:
    `fullName` - full name or `null` to reset

### hasFullName

    public boolean hasFullName()

  Returns whether it has the full name.

  Returns:
    whether it has the full name

### getGivenName

    public GivenName getGivenName()

  Returns the given name.

  Returns:
    given name

### setGivenName

    public void setGivenName(GivenName givenName)

  Sets the given name.

  Parameters:
    `givenName` - given name or `null` to reset

### hasGivenName

    public boolean hasGivenName()

  Returns whether it has the given name.

  Returns:
    whether it has the given name

### getNamePrefix

    public NamePrefix getNamePrefix()

  Returns the name prefix.

  Returns:
    name prefix

### setNamePrefix

    public void setNamePrefix(NamePrefix namePrefix)

  Sets the name prefix.

  Parameters:
    `namePrefix` - name prefix or `null` to reset

### hasNamePrefix

    public boolean hasNamePrefix()

  Returns whether it has the name prefix.

  Returns:
    whether it has the name prefix

### getNameSuffix

    public NameSuffix getNameSuffix()

  Returns the name suffix.

  Returns:
    name suffix

### setNameSuffix

    public void setNameSuffix(NameSuffix nameSuffix)

  Sets the name suffix.

  Parameters:
    `nameSuffix` - name suffix or `null` to reset

### hasNameSuffix

    public boolean hasNameSuffix()

  Returns whether it has the name suffix.

  Returns:
    whether it has the name suffix

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`